---
title: get-the-user
product: vercel
url: /docs/rest-api/sdk/user/get-the-user
canonical_url: "https://vercel.com/docs/rest-api/sdk/user/get-the-user"
last_updated: 2026-10-30
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-the-user on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get the User

```http
GET /v2/user
```

Retrieves information related to the currently authenticated User.

## Authentication

**bearerToken**: HTTP bearer

## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.user.getAuthUser();

  console.log(result);
}

run();
```

## Example response

```json
{
  "user": {
    "accountUpdateContext": {
      "canOptOut": "false",
      "managedTeams": [
        {}
      ],
      "organization": {},
      "verifiedEmuDomains": []
    },
    "activeDashboardViews": [
      {
        "favoritesViewPreference": "closed",
        "recentsViewPreference": "closed",
        "scopeId": "example_id",
        "viewPreference": "cards"
      }
    ],
    "avatar": "22cb30c85ff45ac4c72de8981500006b28114aa1",
    "billing": "value",
    "createdAt": "1630748523395",
    "dataCache": {
      "excessBillingEnabled": "false"
    },
    "defaultTeamId": "example_id",
    "dismissedToasts": [
      {
        "dismissals": [
          {}
        ],
        "name": "Example Name"
      }
    ],
    "email": "me@example.com",
    "favoriteProjectsAndSpaces": [
      {
        "projectId": "example_id",
        "teamId": "example_id"
      }
    ],
    "featureBlocks": {
      "speedInsightsFree": {},
      "webAnalytics": {}
    },
    "hasTrialAvailable": "false",
    "id": "AEIIDYVk59zbFF2Sxfyxxmua",
    "importFlowGitNamespace": "Example Name",
    "importFlowGitNamespaceId": "Example Name",
    "importFlowGitProvider": "bitbucket",
    "isAccountUpdateRequired": "false",
    "isEnterpriseManaged": "false",
    "name": "John Doe",
    "preferredScopesAndGitNamespaces": [
      {
        "gitNamespaceId": "Example Name",
        "scopeId": "example_id"
      }
    ],
    "remoteCaching": {
      "enabled": "false"
    },
    "resourceConfig": {
      "awsAccountIds": [],
      "awsAccountType": "string",
      "blobStores": "123",
      "buildEntitlements": {},
      "buildQueue": {},
      "bulkRedirectsFreeLimitOverride": "123",
      "cfZoneName": "Example Name",
      "concurrentBuilds": "123",
      "cronJobsPerProject": "123",
      "customEnvironmentsPerProject": "123",
      "edgeConfigs": "123",
      "edgeConfigSize": "123",
      "edgeFunctionExecutionTimeoutMs": "123",
      "edgeFunctionMaxSizeBytes": "123",
      "elasticConcurrencyEnabled": "false",
      "flagsExplorerOverridesThreshold": "123",
      "flagsExplorerUnlimitedOverrides": "false",
      "imageOptimizationType": "string",
      "integrationStores": "123",
      "kvDatabases": "123",
      "microfrontendGroupsPerTeam": "123",
      "microfrontendProjectsPerGroup": "123",
      "nodeType": "string",
      "postgresDatabases": "123",
      "security": {},
      "serverlessFunctionMaxDuration": "123",
      "serverlessFunctionMaxMemorySize": "123"
    },
    "shouldShowEnterpriseManagedWelcome": "false",
    "softBlock": {
      "blockedAt": "123",
      "blockedDueToOverageType": "analyticsUsage",
      "reason": "BLOCKED_FOR_PLATFORM_ABUSE",
      "unpauseAt": "123"
    },
    "stagingPrefix": "string",
    "username": "jdoe"
  }
}
```

## Responses

### 200: Successful response.

Content-Type: `application/json`

```json
{
  "type": "object",
  "description": "Successful response.",
  "required": [
    "user"
  ],
  "properties": {
    "user": {
      "oneOf": [
        {
          "type": "object",
          "description": "Data for the currently authenticated User.",
          "required": [
            "avatar",
            "billing",
            "createdAt",
            "defaultTeamId",
            "email",
            "hasTrialAvailable",
            "id",
            "name",
            "resourceConfig",
            "softBlock",
            "stagingPrefix",
            "username"
          ],
          "properties": {
            "accountUpdateContext": {
              "type": "object",
              "description": "Context for the Update Account screen. Present only when `isAccountUpdateRequired` is true. `managedTeams` is empty for orphan mode (user matches an EMU domain but is not on the team). When the teams the user must complete Update Account for include an organization's backing team, that team is listed as the organization, followed by the organization's Enterprise Managed root and child teams the user is a member of, including through Directory Sync group mappings.",
              "required": [
                "canOptOut",
                "managedTeams",
                "verifiedEmuDomains"
              ]
            },
            "activeDashboardViews": {
              "type": "array",
              "description": "set of dashboard view preferences (cards or list) per scopeId"
            },
            "avatar": {
              "type": "string",
              "description": "SHA1 hash of the avatar for the User account. Can be used in conjuction with the ... endpoint to retrieve the avatar image.",
              "nullable": true
            },
            "billing": {
              "type": "object",
              "description": "An object containing billing infomation associated with the User account.",
              "nullable": true
            },
            "createdAt": {
              "type": "number",
              "description": "UNIX timestamp (in milliseconds) when the User account was created."
            },
            "dataCache": {
              "type": "object",
              "description": "data cache settings"
            },
            "defaultTeamId": {
              "type": "string",
              "description": "The user's default team.",
              "nullable": true
            },
            "dismissedToasts": {
              "type": "array",
              "description": "A record of when, under a certain scopeId, a toast was dismissed"
            },
            "email": {
              "type": "string",
              "description": "Email address associated with the User account."
            },
            "favoriteProjectsAndSpaces": {
              "type": "array",
              "description": "A list of projects and spaces across teams that a user has marked as a favorite."
            },
            "featureBlocks": {
              "type": "object",
              "description": "Feature blocks for the user"
            },
            "hasTrialAvailable": {
              "type": "boolean",
              "description": "Whether the user has a trial available for a paid plan subscription.",
              "enum": [
                false,
                true
              ]
            },
            "id": {
              "type": "string",
              "description": "The User's unique identifier."
            },
            "importFlowGitNamespace": {
              "nullable": true
            },
            "importFlowGitNamespaceId": {
              "nullable": true
            },
            "importFlowGitProvider": {
              "type": "string",
              "enum": [
                "bitbucket",
                "cursor-origin",
                "github",
                "github-custom-host",
                "github-limited",
                "gitlab",
                "vercel",
                null
              ],
              "nullable": true
            },
            "isAccountUpdateRequired": {
              "type": "boolean",
              "description": "When `true`, the user must complete the EMU Update Account flow before they can use the dashboard.",
              "enum": [
                false,
                true
              ]
            },
            "isEnterpriseManaged": {
              "type": "boolean",
              "description": "Indicates whether the user is managed by an enterprise.",
              "enum": [
                false,
                true
              ]
            },
            "name": {
              "type": "string",
              "description": "Name associated with the User account, or `null` if none has been provided.",
              "nullable": true
            },
            "preferredScopesAndGitNamespaces": {
              "type": "array"
            },
            "remoteCaching": {
              "type": "object",
              "description": "remote caching settings"
            },
            "resourceConfig": {
              "type": "object",
              "description": "An object containing infomation related to the amount of platform resources may be allocated to the User account."
            },
            "shouldShowEnterpriseManagedWelcome": {
              "type": "boolean",
              "description": "Whether the Enterprise Managed User joined the current team through the Update Account flow and should see its welcome experience.",
              "enum": [
                false,
                true
              ]
            },
            "softBlock": {
              "type": "object",
              "description": "When the User account has been \"soft blocked\", this property will contain the date when the restriction was enacted, and the identifier for why.",
              "nullable": true,
              "required": [
                "blockedAt",
                "reason"
              ]
            },
            "stagingPrefix": {
              "type": "string",
              "description": "Prefix that will be used in the URL of \"Preview\" deployments created by the User account."
            },
            "username": {
              "type": "string",
              "description": "Unique username associated with the User account."
            }
          }
        },
        {
          "type": "object",
          "description": "A limited form of data for the currently authenticated User, due to the authentication token missing privileges to read the full User data.",
          "required": [
            "avatar",
            "defaultTeamId",
            "email",
            "id",
            "limited",
            "name",
            "username"
          ],
          "properties": {
            "avatar": {
              "type": "string",
              "description": "SHA1 hash of the avatar for the User account. Can be used in conjuction with the ... endpoint to retrieve the avatar image.",
              "nullable": true
            },
            "defaultTeamId": {
              "type": "string",
              "description": "The user's default team.",
              "nullable": true
            },
            "email": {
              "type": "string",
              "description": "Email address associated with the User account."
            },
            "id": {
              "type": "string",
              "description": "The User's unique identifier."
            },
            "isEnterpriseManaged": {
              "type": "boolean",
              "description": "Indicates whether the user is managed by an enterprise.",
              "enum": [
                false,
                true
              ]
            },
            "limited": {
              "type": "boolean",
              "description": "Property indicating that this User data contains only limited information, due to the authentication token missing privileges to read the full User data. Re-login with email, GitHub, GitLab or Bitbucket in order to upgrade the authentication token with the necessary privileges.",
              "enum": [
                true
              ]
            },
            "name": {
              "type": "string",
              "description": "Name associated with the User account, or `null` if none has been provided.",
              "nullable": true
            },
            "shouldShowEnterpriseManagedWelcome": {
              "type": "boolean",
              "description": "Whether the Enterprise Managed User joined the current team through the Update Account flow and should see its welcome experience.",
              "enum": [
                false,
                true
              ]
            },
            "username": {
              "type": "string",
              "description": "Unique username associated with the User account."
            }
          }
        }
      ]
    }
  }
}
```

### 302: No description

### 400: No description

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 409: No description

### 410: No description

---

## Related

- [user endpoints](/docs/rest-api#user)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)


If you encounter incorrect information, can’t find what you need, need a capability Vercel doesn’t currently offer, or have any other feedback to report, please do it by following the instructions at https://vercel.com/feedback.md.
